// ========================================
// ==============  common  ================
// ========================================
// ========================================

textures/happyworldjumps/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage
//	surfaceparm nomarks
}

textures/happyworldjumps/caulk_nodamage
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/happyworldjumps/caulk_nonsolid
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
}

textures/happyworldjumps/caulkslick
{
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}

textures/happyworldjumps/invisible
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm nolightmap
}


// ========================================
// ===============  light  ================
// ========================================
// ========================================

textures/happyworldjumps/l1
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
	}
}

textures/happyworldjumps/l2
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.0 0.0 1.0 )
	}
}

textures/happyworldjumps/l3
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.1 0.5 )
	}
}

textures/happyworldjumps/l4
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.1 )
	}
}

textures/happyworldjumps/l5
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.0 0.9 )
	}
}

textures/happyworldjumps/l6
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.8 0.35 0.27 )
	}
}

textures/happyworldjumps/l7
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.9 0.7 0.0 )
	}
}

textures/happyworldjumps/l8
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.0 1.0 )
	}
}

textures/happyworldjumps/l9
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.1 0.5 )
	}
}

textures/happyworldjumps/l10
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.0 0.2 0.0 )
	}
}

textures/happyworldjumps/l11
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.0 0.3 0.1 )
	}
}

textures/happyworldjumps/l12
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.0 0.1 0.0 )
	}
}

textures/happyworldjumps/l13
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.0 0.2 0.0 )
	}
}

textures/happyworldjumps/lend
{	
	qer_editorimage textures/happyworldjumps/light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfaceLight 3000
	cull none
	{
		map textures/happyworldjumps/light.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.7 1.0 )
	}
}

textures/happyworldjumps/il3-500
{
	q3map_lightRGB 1.0 1.0 0.45
	q3map_surfacelight 500

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il3-300
{
	q3map_lightRGB 1.0 1.0 0.45
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il3-100
{
	q3map_lightRGB 1.0 1.0 0.45
	q3map_surfacelight 100

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il4-300
{
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il4-100
{
	q3map_surfacelight 100

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il4-200
{
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans




	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il6-300
{
	q3map_lightRGB 1.0 0.55 0.5
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il6-100
{
	q3map_lightRGB 1.0 0.55 0.5
	q3map_surfacelight 100

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il6-50
{
	q3map_lightRGB 1.0 0.55 0.5
	q3map_surfacelight 50

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il7-500
{
	q3map_lightRGB 1.0 0.9 0.9
	q3map_surfacelight 500

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il7-300
{
	q3map_lightRGB 1.0 0.9 0.9
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il7-200
{
	q3map_lightRGB 1.0 0.9 0.9
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il8-2000
{
	q3map_surfacelight 2000

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il8-50
{
	q3map_surfacelight 50

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il8-100
{
	q3map_surfacelight 100

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il9-200
{
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il10-50
{
	q3map_surfacelight 50

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il10-100
{
	q3map_surfacelight 100

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il10-200
{
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il10-300
{
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il10-2000
{
	q3map_surfacelight 2000

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il11-30
{
	q3map_surfacelight 30

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il11-200
{
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il11-300
{
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il11-500
{
	q3map_surfacelight 500

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il12-6000
{
	q3map_surfacelight 6000

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il12-500
{
	q3map_surfacelight 500

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il12-200
{
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il12-300
{
	q3map_surfacelight 300

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il12-100
{
	q3map_surfacelight 100

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}

textures/happyworldjumps/il13-200
{
	q3map_surfacelight 200

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	{
		map $whiteimage
		alphaFunc GE128
		alphaGen const 0
	}
}


// ========================================
// ===============  slick  ================
// ========================================
// ========================================

textures/happyworldjumps/j4t4
{
	qer_editorimage textures/happyworldjumps/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm slick
	surfaceparm nodamage
	{
		map textures/happyworldjumps/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/happyworldjumps/j4t1_slick
{
    qer_editorImage textures/happyworldjumps/j4t1.tga
    surfaceparm slick
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j4t1.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j5t2_slick
{
    qer_editorImage textures/happyworldjumps/j5t2.tga
    surfaceparm slick
    surfaceparm nodamage
    q3map_nonplanar
    q3map_shadeangle 120
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j5t2.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j10t2_slick
{
    qer_editorImage textures/happyworldjumps/j10t2.tga
    surfaceparm slick
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j10t2.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j10t3_slick
{
    qer_editorImage textures/happyworldjumps/j10t3.tga
    surfaceparm slick
    surfaceparm nodamage
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_surfaceLight 800
    q3map_lightRGB 1.0 0.9 0.9
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j10t3.tga
        blendFunc filter
    }
}

// ========================================
// =============  nonsolid  ===============
// ========================================
// ========================================

textures/happyworldjumps/j1t2_nonsolid
{
    qer_editorImage textures/happyworldjumps/j1t2.tga
    surfaceparm nonsolid
    q3map_nonplanar
    q3map_shadeangle 120
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j1t2.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j4t1_nonsolid
{
    qer_editorImage textures/happyworldjumps/j4t1.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j4t1.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j6t1_nonsolid
{
    qer_editorImage textures/happyworldjumps/j6t1.tga
    surfaceparm nonsolid
    q3map_nonplanar
    q3map_shadeangle 120
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j6t1.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j6t2_nonsolid
{
    qer_editorImage textures/happyworldjumps/j6t2.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j6t2.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j7t1_nonsolid
{
    qer_editorImage textures/happyworldjumps/j7t1.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j7t1.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j7t2_nonsolid
{
    qer_editorImage textures/happyworldjumps/j7t2.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j7t2.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j10t1_nonsolid
{
    qer_editorImage textures/happyworldjumps/j10t1.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j10t1.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j10t2_nonsolid
{
    qer_editorImage textures/happyworldjumps/j10t2.tga
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j10t2.tga
        blendFunc filter
    }
}

textures/happyworldjumps/j12t1_nonsolid
{
    qer_editorImage textures/happyworldjumps/j12t1.tga
    surfaceparm nonsolid
    q3map_nonplanar
    q3map_shadeangle 120
    {
        map $lightmap
    }
    {
        map textures/happyworldjumps/j12t1.tga
        blendFunc filter
    }
}

// ========================================
// ===============  glass  ================
// ========================================
// ========================================

textures/happyworldjumps/teleporter
{	
	qer_editorimage textures/happyworldjumps/teleporter.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm nodamage
	cull none
	q3map_surfaceLight 3000
	{
		map textures/happyworldjumps/teleporter.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll -0.05 0.02
	}
	{
		map textures/happyworldjumps/teleporter.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.05 0.02
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

textures/happyworldjumps/j9t5
{	
	qer_editorimage textures/happyworldjumps/glass.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm slick
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
	cull none
	{	map textures/happyworldjumps/glass.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.1 0.5 )
	}
}

textures/happyworldjumps/j8t4
{	
	qer_editorimage textures/happyworldjumps/glass.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm slick
	surfaceparm nodamage
	cull none
	{	map textures/happyworldjumps/glass.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 0.0 1.0 )
	}
}


// ========================================
// =============  nodamage  ===============
// ========================================
// ========================================

textures/happyworldjumps_skies/sparse_green_nebula:q3map
{
	surfaceparm nodamage
}

textures/happyworldjumps/j1t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j1t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j2t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j2t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j3t1:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j3t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j3t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j4t1:q3map
{
	surfaceparm nodamage
}

textures/happyworldjumps/j4t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j4t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j5t1:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j5t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j5t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j6t1:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j6t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j6t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j7t1:q3map
{
	surfaceparm nodamage
}

textures/happyworldjumps/j7t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j7t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j8t1:q3map
{
	surfaceparm nodamage
}

textures/happyworldjumps/j8t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j8t3:q3map
{
	surfaceparm nodamage
}

textures/happyworldjumps/j9t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j9t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j9t4:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j10t1:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j10t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j10t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j11t1:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j11t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
}

textures/happyworldjumps/j11t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j12t1:q3map
{
	surfaceparm nodamage
}

textures/happyworldjumps/j12t2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j12t3:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j13t1:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/j13t3:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/endt1:q3map
{
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 120
}

textures/happyworldjumps/endt2:q3map
{
	surfaceparm nodamage
	q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
}

// ========================================
// ==============  models  ================
// ========================================
// ========================================

textures/happyworldjumps/metal1
{
    q3map_forcemeta
    q3map_nonplanar
    q3map_shadeangle 120
  {
    map textures/happyworldjumps/metal1.tga
  }
  {
    map $lightmap
    blendFunc filter
  }
  {
    map textures/happyworldjumps/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/happyworldjumps/metal2
{
    q3map_forcemeta
    q3map_nonplanar
    q3map_shadeangle 120
  {
    map textures/happyworldjumps/metal2.tga
  }
  {
    map $lightmap
    blendFunc filter
    rgbGen identity
  }
  {
    map textures/happyworldjumps/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/happyworldjumps/metal3
{
    q3map_forcemeta
    q3map_nonplanar
    q3map_shadeangle 120
  {
    map textures/happyworldjumps/metal3.tga
  }
  {
    map $lightmap
    blendFunc filter
    rgbGen identity
  }
  {
    map textures/happyworldjumps/tint.tga
    tcGen environment
    blendFunc GL_DST_COLOR GL_SRC_COLOR
  }
}

textures/happyworldjumps/cable:q3map
{
	q3map_forcemeta
}



// old; shaders and textures are numbered accordingly
// I was just too lazy to rename all the shaders and textures after I rearranged the order of the jumps
// 1  Nebula Filter
// 2  Pink Spires
// 3  Island Round
// 4  Celestial White
// 5  Night Gap
// 6  Salmon Sky
// 7  Desert Rings
// 8  The Sea
// 9  The Orbit
// 10 Gritty Spiral
// 11 Fiery Cones
// 12 Lava Bowl

//new; numbers of the jumps ingame
// 1  Nebula Filter
// 2  Pink Spires
// 3  Salmon Sky
// 4  The Sea
// 5  Night Gap
// 6  Celestial White
// 7  The Orbit
// 8  Desert Rings
// 9  Fiery Cones
// 10 Gritty Spiral
// 11 Island Round
// 12 Lava Bowl

//new; numbers of the jumps ingame
// 1  Nebula Filter
// 2  Pink Spires
// 3  Salmon Sky
// 4  The Sea
// 5  Night Gap
// 6  The Orbit
// 7  Desert Rings
// 8  Fiery Cones
// 9  Gritty Spiral
// 10 Island Round
// 11 Celestial White
// 12 Lava Bowl
